Bug 1231539 - Detect and send ENOTSUP if upcall feature is not enabled
Summary: Detect and send ENOTSUP if upcall feature is not enabled
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: upcall
Version: 3.7.1
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Soumya Koduri
QA Contact:
URL:
Whiteboard:
Depends On: 1231132
Blocks: glusterfs-3.7.7
TreeView+ depends on / blocked
 
Reported: 2015-06-14 14:35 UTC by Soumya Koduri
Modified: 2017-03-08 10:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1231132
Environment:
Last Closed: 2017-03-08 10:53:43 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Soumya Koduri 2015-06-14 14:35:49 UTC
+++ This bug was initially created as a clone of Bug #1231132 +++

Description of problem:

If in case upcall feature is not enabled on the server-side, client (gfapi) should be able to detect it and send ENOTSUP to the applications interested in those upcall events.

--- Additional comment from Anand Avati on 2015-06-12 04:49:00 EDT ---

REVIEW: http://review.gluster.org/11196 (Upcall: Return ENOTSUP when upcall feature is disabled) posted (#1) for review on master by soumya k (skoduri@redhat.com)

Comment 1 Anand Avati 2015-06-14 14:39:19 UTC
REVIEW: http://review.gluster.org/11215 (Upcall: Return ENOTSUP when upcall feature is disabled) posted (#1) for review on release-3.7 by soumya k (skoduri@redhat.com)

Comment 2 Niels de Vos 2015-06-20 10:09:01 UTC
Unfortunately glusterfs-3.7.2 did not contain a code change that was associated with this bug report. This bug is now proposed to be a blocker for glusterfs-3.7.3.

Comment 3 Kaushal 2015-07-30 13:17:48 UTC
This bug could not be fixed in time for glusterfs-3.7.3. This is now being tracked for being fixed in glusterfs-3.7.4.

Comment 4 Kaushal 2015-10-28 12:28:37 UTC
This bug could not be fixed in time for glusterfs-3.7.4 or glusterfs-3.7.5. This is now being tracked for being fixed in glusterfs-3.7.6.

Comment 5 Raghavendra Talur 2015-11-08 20:28:12 UTC
This bug could not be fixed in time for glusterfs-3.7.6.
This is now being tracked for being fixed in glusterfs-3.7.7.

Comment 6 Mike McCune 2016-03-28 23:35:19 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 7 Kaushal 2017-03-08 10:53:43 UTC
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.


Note You need to log in before you can comment on or make changes to this bug.